Yum notes

From Wiki
Jump to: navigation, search

To pin a package to a specific version you can use the versionlock plugin for yum.

yum install yum-plugin-versionlock

Install the version of the package that you want. For example, to downgrade puppet:

yum downgrade puppet-server-3.2.1-1.el6.noarch puppet-3.2.1-1.el6.noarch
yum versionlock puppet
yum versionlock puppet-server